curl --request GET \
--url https://api.samsara.com/v1/fleet/vehicles/{vehicleId}/safety/harsh_event \
--header 'Authorization: Bearer <token>'{
"harshEventType": "Harsh Braking",
"incidentReportUrl": "https://cloud.samsara.com/o/1234/fleet/reports/safety/vehicle/212123456789012/incident/1539201882984",
"downloadForwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-123456789.mp4?...",
"downloadInwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.mp4?...",
"downloadTrackedInwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.tracked.mp4?...",
"isDistracted": true,
"location": {
"address": "350 Rhode Island St, San Francisco, CA",
"latitude": 33.07614328,
"longitude": -96.14907287
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the vehicle. Must contain only digits 0-9.
Timestamp in milliseconds representing the timestamp of a harsh event.
Harsh event details.
Harsh event details for a vehicle
Type of the harsh event. One of: [Crash, Harsh Acceleration, Harsh Braking, Harsh Turn, ROP Engine, ROP Brake, YC Engine, YC Brake, Harsh Event]
"Harsh Braking"
URL of the associated incident report page
"https://cloud.samsara.com/o/1234/fleet/reports/safety/vehicle/212123456789012/incident/1539201882984"
URL for downloading the forward facing video
"https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-123456789.mp4?..."
URL for downloading the inward facing video
"https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.mp4?..."
URL for downloading the tracked inward facing video
"https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.tracked.mp4?..."
Whether the driver was deemed distracted during this harsh event
true
Show child attributes
curl --request GET \
--url https://api.samsara.com/v1/fleet/vehicles/{vehicleId}/safety/harsh_event \
--header 'Authorization: Bearer <token>'{
"harshEventType": "Harsh Braking",
"incidentReportUrl": "https://cloud.samsara.com/o/1234/fleet/reports/safety/vehicle/212123456789012/incident/1539201882984",
"downloadForwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-123456789.mp4?...",
"downloadInwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.mp4?...",
"downloadTrackedInwardVideoUrl": "https://samsara-dashcam-videos.s3.us-west-2.amazonaws.com/123/212123456789012/1539201872984/abC123De4-camera-video-segment-driver-123456789.tracked.mp4?...",
"isDistracted": true,
"location": {
"address": "350 Rhode Island St, San Francisco, CA",
"latitude": 33.07614328,
"longitude": -96.14907287
}
}